## org.apache.axis.handlers
Class DebugHandler

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.handlers.DebugHandler

All Implemented Interfaces:
  Handler, java.io.Serializable

public class DebugHandler
extends BasicHandler

Author:
  Doug Davis (dug@us.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` `log`
`static java.lang.String` `NS_URI_DEBUG`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`DebugHandler()`

Method Summary
`void` `invoke(MessageContext msgContext)` Invoke is called to do the actual work of the Handler object.
`void` `onFault(MessageContext msgContext)` Called when a subsequent handler throws a fault.

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### NS_URI_DEBUG

    public static final java.lang.String NS_URI_DEBUG

See Also:
  Constant Field Values

Constructor Detail

### DebugHandler

    public DebugHandler()

Method Detail

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  Description copied from interface: `Handler`
  Invoke is called to do the actual work of the Handler object. If there is a fault during the processing of this method it is invoke's job to catch the exception and undo any partial work that has been completed. Once we leave 'invoke' if a fault is thrown, this classes 'onFault' method will be called. Invoke should rethrow any exceptions it catches, wrapped in an AxisFault.

  Parameters:
    `msgContext` - the `MessageContext` to process with this `Handler`.
  Throws:
    `AxisFault` - if the handler encounters an error

### onFault

    public void onFault(MessageContext msgContext)

  Description copied from interface: `Handler`
  Called when a subsequent handler throws a fault.

  Specified by:
    `onFault` in interface `Handler`
  Overrides:
    `onFault` in class `BasicHandler`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.